#!/bin/bash
NAME="dltk"
VERSION=2.0.1
TAG="vS201009100629"
SUBPACKAGES="core core-index ruby tcl itcl xotcl mylyn rse javascript"

echo "Exporting from CVS..."
mkdir $NAME-$VERSION
pushd $NAME-$VERSION >/dev/null

for SUB in $SUBPACKAGES; do

MAPFILE=org.eclipse.dltk/releng.maps/maps/$SUB.map
TEMPMAPFILE=temp.map
cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/technology export -r $TAG $MAPFILE
dos2unix $MAPFILE
grep ^[a-z] $MAPFILE > $TEMPMAPFILE

gawk 'BEGIN {
	FS=","
}
{
if (NF <  4) {

	split($1, version, "=");
	split(version[1], directory, "@");
	cvsdir=split($2, dirName, ":");
	printf("cvs -d %s%s %s %s %s %s %s %s %s\n", ":pserver:anonymous@dev.eclipse.org:", dirName[cvsdir], "-q", "export", "-r", version[2], "-d", directory[2], directory[2]) | "/bin/bash";
}
else {

	split($1, version, "=");
	total=split($4, directory, "/");
	cvsdir=split($2, dirName, ":");
	printf("cvs -d %s%s %s %s %s %s %s %s %s\n", ":pserver:anonymous@dev.eclipse.org:", dirName[cvsdir], "-q", "export", "-r", version[2], "-d", directory[total], $4) | "/bin/bash";
}

}' $TEMPMAPFILE

rm $TEMPMAPFILE $MAPFILE

done

popd >/dev/null

echo "Creating tarball '$NAME-$VERSION.tar.bz2'..."
tar -cjf $NAME-$VERSION.tar.bz2 $NAME-$VERSION
